---
lang: en
title: 'API docs: rest.regexprouter.findroutewithpathvars'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.regexprouter.findroutewithpathvars.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RegExpRouter](./rest.regexprouter.md) &gt; [findRouteWithPathVars](./rest.regexprouter.findroutewithpathvars.md)

## RegExpRouter.findRouteWithPathVars() method

<b>Signature:</b>

```typescript
protected findRouteWithPathVars(verb: string, path: string): ResolvedRoute | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  verb | <code>string</code> |  |
|  path | <code>string</code> |  |

<b>Returns:</b>

`ResolvedRoute | undefined`


